Package uk.ac.starlink.topcat.plot2

## Interface Factory<T>

-     public interface Factory<T>

  Simple interface for deferred production of an object. Differs from `Callable` in that it does not throw any checked exception.
  Since:
    13 Feb 2013
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `getItem()` | Returns an object.

- - ### Method Detail

    - #### getItem

          T getItem()

      Returns an object.
      Returns:
        result